org.bdgenomics.adam.rdd

# RightOuterShuffleRegionJoin

#### case class RightOuterShuffleRegionJoin[T, U](sd: SequenceDictionary, partitionSize: Long, sc: SparkContext)(implicit evidence$7: ClassTag[T], evidence$8: ClassTag[U]) extends ShuffleRegionJoin[T, U, Option[T], U] with Product with Serializable

Extends the ShuffleRegionJoin trait to implement a right outer join.

Linear Supertypes
Product, Equals, ShuffleRegionJoin[T, U, Option[T], U], RegionJoin[T, U, Option[T], U], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RightOuterShuffleRegionJoin
2. Product
3. Equals
4. ShuffleRegionJoin
5. RegionJoin
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RightOuterShuffleRegionJoin(sd: SequenceDictionary, partitionSize: Long, sc: SparkContext)(implicit arg0: ClassTag[T], arg1: ClassTag[U])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bins: Broadcast[GenomeBins]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def emptyFn(left: Iterator[((ReferenceRegion, Int), T)], right: Iterator[((ReferenceRegion, Int), U)]): Iterator[(Option[T], U)]

   Attributes
     protected
   Definition Classes
     RightOuterShuffleRegionJoin → ShuffleRegionJoin

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def makeIterator(region: ReferenceRegion, left: BufferedIterator[((ReferenceRegion, Int), T)], right: BufferedIterator[((ReferenceRegion, Int), U)]): Iterator[(Option[T], U)]

    Attributes
      protected
    Definition Classes
      RightOuterShuffleRegionJoin → ShuffleRegionJoin

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def partitionAndJoin(leftRDD: RDD[(ReferenceRegion, T)], rightRDD: RDD[(ReferenceRegion, U)]): RDD[(Option[T], U)]

    Performs a region join between two RDDs (shuffle join).

    Performs a region join between two RDDs (shuffle join).

    This implementation is shuffle-based, so does not require collecting one side into memory like BroadcastRegionJoin. It basically performs a global sort of each RDD by genome position and then does a sort-merge join, similar to the chromsweep implementation in bedtools. More specifically, it first defines a set of bins across the genome, then assigns each object in the RDDs to each bin that they overlap (replicating if necessary), performs the shuffle, and sorts the object in each bin. Finally, each bin independently performs a chromsweep sort-merge join.

    leftRDD

      The 'left' side of the join

    rightRDD

      The 'right' side of the join

    returns

      An RDD of pairs (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

    Definition Classes
      ShuffleRegionJoin → RegionJoin

19. #### val partitionSize: Long

    Definition Classes
      RightOuterShuffleRegionJoin → ShuffleRegionJoin

20. #### val sc: SparkContext

    Definition Classes
      RightOuterShuffleRegionJoin → ShuffleRegionJoin

21. #### val sd: SequenceDictionary

    Definition Classes
      RightOuterShuffleRegionJoin → ShuffleRegionJoin

22. #### val seqLengths: Map[String, Long]

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

23. #### def sweep(leftIter: Iterator[((ReferenceRegion, Int), T)], rightIter: Iterator[((ReferenceRegion, Int), U)]): Iterator[(Option[T], U)]

    Definition Classes
      ShuffleRegionJoin

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from ShuffleRegionJoin[T, U, Option[T], U]

### Inherited from RegionJoin[T, U, Option[T], U]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped